XScreenSaver(1)

NAME
truchet - draws curved or angular Truchet patterns

SYNOPSIS
truchet [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay microseconds] [-min-width integer] [-min-height integer] [-max-width integer] [-max-height integer] [-max-linewidth integer] [-min-linewidth integer] [-erase] [-no-erase] [-erase-count integer] [-square] [-not-square] [-curves] [-no-curves] [-angle] [-no-angles] [-scroll] [-scroll-overlap integer] [-anim-delay integer] [-anim-step-size integer]

DESCRIPTION
The truchet program draws arc and line based Truchet patterns.

OPTIONS
accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    How long to wait between drawing each screenful. Default is 3 seconds.

-min-width integer
    The minimum width in pixels of each square. Default is 40.

-min-height integer
    The minimum height in pixels of each square. Default is 40.

-max-width integer
    The maximum width in pixels of each square. Default is 150.

-max-height integer
    The maximum height in pixels of each square. Default is 150.

-max-linewidth integer
    The maximum width of the lines used to draw. Default is 25.

-min-linewidth integer
    The minimum width of the lines used to draw. Default is 2.

-erase

-no-erase
    Whether to clear the screen after each screenful is drawn. Default is True (erase).

-erase-count integer
    The number of screenfuls to draw before erasing. Default is 25.

-square

-not-square
    Whether to force the tiles to be square. Defualt is False (not-square).

-curves

-no-curves
    Whether to draw the arc based Truchet pattern. Default is True (curves).

-angles

-no-angles
    Whether or not to draw the line based Truchet pattern. Default is True (angles)

-scroll
    Use the scroll mode. Default is False.

-scroll-overlap
    The amount to scroll from one side to another. Default is 400.

-anim-delay
    The time to pause between each animation step. Default is 100.

-anim-step-size
    The amount of steps to skip between each animation step. Default is 3.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1998 by Adrian Likins. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Adrian Likins, 1998.